
package interfazgrafica3;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;

public class GestorEventos implements ActionListener {
    
    private Componentes componentes;
    
    public GestorEventos(Componentes componentes) {
        this.componentes = componentes;
    }
    
    public void actionPerformed(ActionEvent e) { 
        JButton jButton = (JButton) e.getSource();
  
        if (jButton == componentes.getjButtonContar())
         { int contador = componentes.getContador();
           contador ++;
           componentes.setContador(contador); 
           componentes.getjLabelVisualizaContador().setText("Numero de pulsaciones: "+componentes.getContador());
         }
        else
           if (jButton == componentes.getjButtonSalir())
               System.exit(0);
    }    
}
